Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision acd0bda38d73ae4190cda320280dbe7a63a85976)
+++ sansview/perspectives/fitting/basepage.py	(revision 77f6a8be00cc31487eb8e77cb3c033ad7e309fad)
@@ -980,11 +980,10 @@
                 self.save_current_state()
                 
-            self._is_modified(is_modified = is_modified) 
+            self.is_modified = is_modified  
                
-    def _is_modified(self, is_modified = False):
+    def _is_modified(self):
         """
             return to self._is_modified
         """
-        self.is_modified = is_modified
         return self.is_modified
                        
@@ -1462,7 +1461,7 @@
             item=[cb state, name, value, "+/-", error of fit, min, max , units]
         """  
-        is_modified =  modified
+        self.is_modified =  modified
         if len(list)==0:
-            return is_modified
+            return self.is_modified
         for item in list:
             try:
@@ -1506,5 +1505,5 @@
                 if value != self.model.getParam(name):
                     self.model.setParam(name,value)
-                    is_modified = True   
+                    self.is_modified = True   
             
             except:
@@ -1513,5 +1512,5 @@
                 return 
         
-        return is_modified 
+        return self.is_modified 
         
  
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 5f9a6b18c22d2b8489afd5091d2e188669d61e3c)
+++ sansview/perspectives/fitting/fitpage.py	(revision 77f6a8be00cc31487eb8e77cb3c033ad7e309fad)
@@ -707,14 +707,34 @@
         self._onparamEnter_helper() 
         
-        self._is_modified()
-        if self._is_modified == True:
-            ##compute chisqr for range change
+        ##compute chisqr for range change
+        temp_smearer = None
+        if self.enable_smearer.GetValue():
+            msg=""
+            temp_smearer= self.smearer   
+         ##Calculate chi2
+       
+        self.compute_chisqr(smearer= temp_smearer)  
+        ## new state posted
+        if self.state_change:
+            #self._undo.Enable(True)
+            event = PageInfoEvent(page = self)
+            wx.PostEvent(self.parent, event)
+            self.state_change= False
+        
+        
+    def _onparamEnter(self,event):
+        """ 
+            when enter value on panel redraw model according to changed
+        """
+        tcrtl= event.GetEventObject()
+       
+        if check_float(tcrtl):
+            self._onparamEnter_helper()
+            
             temp_smearer = None
             if self.enable_smearer.GetValue():
-                msg=""
-                temp_smearer= self.smearer   
-             ##Calculate chi2
-           
-            self.compute_chisqr(smearer= temp_smearer)  
+                temp_smearer= self.smearer
+            
+            self.compute_chisqr(smearer= temp_smearer)
             ## new state posted
             if self.state_change:
@@ -723,27 +743,4 @@
                 wx.PostEvent(self.parent, event)
                 self.state_change= False
-        
-        
-    def _onparamEnter(self,event):
-        """ 
-            when enter value on panel redraw model according to changed
-        """
-        tcrtl= event.GetEventObject()
-       
-        if check_float(tcrtl):
-            self._onparamEnter_helper()
-            
-            if self._is_modified == True:
-                temp_smearer = None
-                if self.enable_smearer.GetValue():
-                    temp_smearer= self.smearer
-                
-                self.compute_chisqr(smearer= temp_smearer)
-                ## new state posted
-                if self.state_change:
-                    #self._undo.Enable(True)
-                    event = PageInfoEvent(page = self)
-                    wx.PostEvent(self.parent, event)
-                    self.state_change= False
         else:
             msg= "Cannot Plot :Must enter a number!!!  "
@@ -772,11 +769,10 @@
         self._onparamEnter_helper() 
 
-        if self._is_modified == True:
-            ## new state posted
-            if self.state_change:
-                #self._undo.Enable(True)
-                event = PageInfoEvent(page = self)
-                wx.PostEvent(self.parent, event)
-                self.state_change= False
+        ## new state posted
+        if self.state_change:
+            #self._undo.Enable(True)
+            event = PageInfoEvent(page = self)
+            wx.PostEvent(self.parent, event)
+            self.state_change= False
         
                 
